LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices

Reply
 
Search this Thread
Old 01-23-2004, 08:26 PM   #1
Manuel Tejada
Member
 
Registered: Jun 2002
Location: Lima, PERU
Distribution: Red Hat
Posts: 35

Rep: Reputation: 15
Upgrading to postgresql 7.4 failed


My box: Pentium III, Red Hat 9

I was working with PostgreSQL 7.3.2, then I decided to upgrade it to PostgreSQL 7.4.
For that I downloaded the twelve rpms from ftp://ftp15.us.postgresql.org/binary...hat/refhat-9/.

I followed the standar command to upgrade rpm packages and I got the following message:
-------------------------------------------
#rpm -Uvh postgresql*7.4-0.5PGDG.i386.rpm
Preparing... ########################[100%]
file /usr/include/sqltypes.h from install of postgresql-devel-7.4-0.5PGDG conflicts with file from package unixODBC-devel-2.2.3-6
----------------------------------------------


Well, my questions are:

a) I deduct that I must to upgrade the package unixODBC before upgrading PostgreSQL. Isn't it?. If so, where I can get it.

b) But I fear that others packages depend on package unixODBC ad if this were the case I will enter in an endles upgrading. Is my fear justified?. If so, how to avoid this?

Any help will be wellcome.
 
Old 02-01-2004, 02:31 PM   #2
Manuel Tejada
Member
 
Registered: Jun 2002
Location: Lima, PERU
Distribution: Red Hat
Posts: 35

Original Poster
Rep: Reputation: 15
I have resolved the problem: Upgrading to PosrgreSQL 7.4.1 instead of 7.4.0

Seem as the postgresql-devel rpm from PostgreSQL 7.4.0 version has a bug.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
starting postgresql failed ukrainet Linux - Newbie 3 01-09-2011 11:57 AM
Upgrading PostgreSQL 7.3.2 to 7.4.6 for Redhat 9.0 bftin Linux - Software 0 11-18-2004 12:16 PM
Upgrading PostgreSQL 7.3.2 to 7.4.6 for Redhat bftin Red Hat 0 11-18-2004 12:15 PM
upgrading postgresql Pete Dogg Linux - Software 11 08-18-2003 07:41 AM
Upgrading postgresql navamnk Linux - Software 2 06-07-2003 09:49 AM


All times are GMT -5. The time now is 11:19 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration